Skip to main content
POST
Initiate sign process for the credit application

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

credit_application_id
string<uuid>
required

Unique identifier of the credit application

Example:

"b2a9f8d3-7b7d-4c1b-a2a1-9c2d0b123456"

Response

Successful Response

id
string<uuid>
required

Unique identifier of the credit application

Example:

"b2a9f8d3-7b7d-4c1b-a2a1-9c2d0b123456"

credit_application_type
enum<string>
required

Type of credit application

Available options:
credit_terms,
trade_finance,
factoring
forwarder_id
string<uuid>
required

Unique identifier of the owner organization

Example:

"d2f8e6c4-1b3c-4a7b-9d2f-3b1e0a987654"

shipper_id
string<uuid>
required

Unique identifier of the guest organization [blocked]

Example:

"c1e2f3b4-5a6b-7c8d-9e0f-1a2b3c4d5e6f"

status
enum<string>
required

Current status of the credit application

Available options:
pending,
internal_review,
external_review,
needs_action,
approved,
finalized,
declined,
rejected,
expired,
sign_document_created,
sign_document_in_progress,
sign_document_completed,
sign_document_expired,
sign_document_canceled,
sign_document_declined,
sign_document_process_failed
created_at
string<date-time>
required

Timestamp when the credit application was created

Example:

"2025-01-01T12:00:00.123456"

updated_at
string<date-time>
required

Timestamp when the credit application was last updated

Example:

"2025-01-02T12:00:00.123456"